# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Oct 28 01:28:19 2022
# ------------------------------------------------

package:
  name: pillow
  version: 9.2.0
source:
  patches:
    - patches/0001-Build-without-USE_WIN32_FILEIO.patch
    - patches/0002-Do-not-quote-PILLOW_VERSION.patch
    - patches/0003-add-WEBP_ROOT-XCB_ROOT.patch
    - patches/0004-Added-patch-to-fix-failing-Windows-test.patch
  sha256: 95836f00972dbf724bf1270178683a0ac4ea23c6c3a980858fc9f2f9456e32ef
  url: https://github.com/python-pillow/Pillow/archive/refs/tags/9.2.0.tar.gz
build:
  number: '3'
  string: py38h9eb91d8_3
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 h6ceecb4_0
    - binutils_linux-64 2.39 h5fc0e48_11
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_11
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hc81fddc_0
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libsanitizer 10.4.0 h5246dfb_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.9.24 ha878542_0
    - freetype 2.12.1 hca18f0e_0
    - giflib 5.2.1 h36c2ea0_2
    - jpeg 9e h166bdaf_2
    - lcms2 2.12 hddcbb42_0
    - ld_impl_linux-64 2.39 hc81fddc_0
    - lerc 4.0.0 h27087fc_0
    - libdeflate 1.14 h166bdaf_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libpng 1.6.38 h753d276_0
    - libsqlite 3.39.4 h753d276_0
    - libstdcxx-ng 12.2.0 h46fd767_19
    - libtiff 4.4.0 h55922b4_4
    - libuuid 2.32.1 h7f98852_1000
    - libwebp 1.2.4 h522a892_0
    - libwebp-base 1.2.4 h166bdaf_0
    - libxcb 1.13 h7f98852_1004
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openjpeg 2.5.0 h7d73246_1
    - openssl 3.0.5 h166bdaf_2
    - pip 22.3 pyhd8ed1ab_0
    - pthread-stubs 0.4 h36c2ea0_1001
    - python 3.8.13 ha86cf86_0_cpython
    - readline 8.1.2 h0f457ee_0
    - setuptools 65.5.0 pyhd8ed1ab_0
    - sqlite 3.39.4 h4ff8645_0
    - tk 8.6.12 h27826a3_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xorg-libxau 1.0.9 h7f98852_0
    - xorg-libxdmcp 1.1.3 h7f98852_0
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 h166bdaf_4
    - zstd 1.5.2 h6239696_4
  run:
    - freetype >=2.12.1,<3.0a0
    - jpeg >=9e,<10a
    - lcms2 >=2.12,<3.0a0
    - libgcc-ng >=12
    - libtiff >=4.4.0,<5.0a0
    - libwebp-base >=1.2.4,<2.0a0
    - libxcb >=1.13,<1.14.0a0
    - libzlib >=1.2.13,<1.3.0a0
    - openjpeg >=2.5.0,<3.0a0
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - tk >=8.6.12,<8.7.0a0
test:
  commands:
    - pytest -v -k "not (_not_a_real_test or (test_imageshow and test_show) or test_tiff_crashes[Tests/images/crash-81154a65438ba5aaeca73fd502fa4850fbde60f8.tif])"
  files:
    - Tests/images
  imports:
    - PIL
    - PIL.Image
    - PIL.ImageCms
  requires:
    - aiohttp
    - fsspec
    - gcc_linux-64 10.*
    - pytest
    - pytest-timeout
    - requests
    - setuptools
  source_files:
    - Tests/
about:
  dev_url: https://github.com/python-pillow/Pillow/
  home: https://pillow.readthedocs.io
  license: LicenseRef-PIL
  license_file: LICENSE
  summary: Pillow is the friendly PIL fork by Alex Clark and Contributors
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - h-vetinari
    - jakirkham
    - ocefpaf
    - patricksnape
    - pelson
